// Copyright (c) 2010 Keith D Gregory, all rights reserved
package com.kdgregory.app.s3util.actions;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.util.List;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;
import javax.swing.KeyStroke;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.kdgregory.app.s3util.filelist.S3File;
import com.kdgregory.app.s3util.main.Concierge;
import com.kdgregory.app.s3util.s3ops.S3DeleteOp;


/**
 *  Displays a confirmation dialog, then initiates a delete for the selected
 *  files.
 */
public class FileDelete
extends AbstractAction
{
    private static final long serialVersionUID = 1L;

    private Log _logger = LogFactory.getLog(this.getClass());

    private Concierge _concierge;


    public FileDelete(Concierge concierge)
    {
        super("Delete Selected");
        setEnabled(false);
        putValue(MNEMONIC_KEY, Integer.valueOf('l'));
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_DELETE, 0));

        _concierge = concierge;
    }


//----------------------------------------------------------------------------
//  ActionListener
//----------------------------------------------------------------------------

    public void actionPerformed(ActionEvent evt)
    {
        _logger.info("invoked");
        int confirm = JOptionPane.showConfirmDialog(
                            _concierge.getDialogOwner(),
                            "Deletes are irrevocable. Are you sure you want "
                                + "to do this?",
                            "Confirm Delete",
                            JOptionPane.YES_NO_OPTION,
                            JOptionPane.WARNING_MESSAGE);
        if (confirm == JOptionPane.NO_OPTION)
            return;

        List<S3File> files = _concierge.getMainFrame().getSelectedFiles();
        new S3DeleteOp(_concierge, files).start();
    }
}

